

#' Response Transformations for Random Effect and Variance Component Models
#' 
#' Response transformations for overdispersed generalized linear models and
#' variance component models using nonparametric profile maximum likelihood
#' estimation. The main function is \code{optim.boxcox()}.
#' 
#' \tabular{ll}{ Package: \tab boxcoxmix\cr Type: \tab Package\cr Version: \tab
#' 0.13\cr Date: \tab 2017-7-29\cr License: \tab GPL (>=3)\cr } 
#' 
#' @name boxcoxmix-package
#' @aliases boxcoxmix boxcoxmix-package
#' @docType package
#' @author Amani Almohaimeed and Jochen Einbeck
#' 
#' @references 
#' Box G. and Cox D. (1964). An analysis of transformations. Journal of
#' the Royal Statistical Society. Series B (Methodological), pages 211-252.
#' 
#' Aitkin, M. A., Francis, B., Hinde, J., and Darnell, R. (2009). Statistical
#' modelling in R. Oxford University Press Oxford.
#' 
#' Jochen Einbeck, Ross Darnell and John Hinde (2014). npmlreg:
#' Nonparametric maximum likelihood estimation for random effect
#' models. R package version 0.46-1.
#' 
#' Maintainer: Amani Almohaimeed <amani.almohaimeed@@gmail.com>
#' @keywords package
#' 
#' 
#' 
#' 
#' 
#' 
#' 
#' 
#' 
#' 
#'
#' 
#' 
#' 
#' 
#' 
#' 
#' 
#' 
#' 
#' 
NULL



